Hi,
  My develop environment is lfs 1.2.x , and host os is debian sarge.
I try to build devil-linux without PostgreSQL and got some error message:
 
1.perl-ext , it seems need modify per-ext's config and mark the line about postgresql.
2.php,it seems need remove script about  "--with-pgsql".
 
  Seems if I not select postgresql,many module will get error . Could new version
can add some depandance check about PostgreSQL ?
  Thanks a lot :)